Name:           ipt-netflow
Version:        2.3
Release:        1%{?dist}
Summary:        Netflow iptables modules
License:        GPLv3+
URL:            https://github.com/aabc/ipt-netflow
Source:         %{name}-%{version}.tar.gz
Patch0:         ipt-netflow-2.3-nokernel.patch
Patch1:         ipt-netflow-2.3-noipt.patch
BuildRequires:  iptables-devel
Requires:       iptables
Requires:       dkms-%{name} = %{version}-%{release}

%description
ipt-netflow is very fast and effective Netflow exporting module for Linux kernel.
This is netfilter/iptables module adding support for NETFLOW target.
This package provides the NETFLOW library which will be loaded by
iptables when NETFLOW rules are processed.

%package -n dkms-%{name}
Summary:        DKMS ipt_NETFLOW kernel module
Requires:       dkms
Requires:       make
BuildArch:      noarch

%description -n dkms-%{name}
This package provides the ipt_NETFLOW kernel module.

%prep
%setup -q
%patch0 -p1 -b .orig
mv -v configure configure.nokernel
mv -v configure.orig configure
%patch1 -p1

%build
./configure.nokernel
make libipt_NETFLOW.so libip6t_NETFLOW.so


%install
# Install the library
make DESTDIR=%{buildroot} linstall

# Install the sources of the module
mkdir -p %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}
cp -av  Makefile.in configure version.sh compat.h murmur3.h ipt_NETFLOW*{c,h} %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}

cat > %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"
PACKAGE_NAME=ipt-netflow
CLEAN="make clean"
BUILT_MODULE_NAME[0]=ipt_NETFLOW
DEST_MODULE_LOCATION[0]=/kernel/extra
STRIP[0]=no
MAKE[0]="make ipt_NETFLOW.ko"
PRE_BUILD="./configure --enable-macaddress --enable-vlan --enable-direction --enable-promisc --enable-physdev --kver=\$kernelver"
AUTOINSTALL=yes
EOF


%files
%doc CREDITS NEWS README README.promisc
%if 0%{?rhel} && 0%{?rhel} < 7
/%{_lib}/xtables/libipt_NETFLOW.so
/%{_lib}/xtables/libip6t_NETFLOW.so
%else
%{_libdir}/xtables/libipt_NETFLOW.so
%{_libdir}/xtables/libip6t_NETFLOW.so
%endif

%post -n dkms-%{name}
dkms add -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all || :

%files -n dkms-%{name}
%{_usrsrc}/%{name}-%{version}-%{release}/


%changelog
* Mon Mar 19 2018 - 232-1
- ipt-netflow 2.3

* Tue Mar  8 2016 - 2.2-1
- ipt-netflow 2.2

* Sat Nov 21 2015 - 2.1-2
- 2015-11-05 snapshot
